"use strict";
/*
 * mavlink-packer-base.ts
 *
 * Copyright (c) 2019,
 * Institute of Flight Mechanics and Control, University of Stuttgart.
 * Pascal Groß <pascal.gross@ifr.uni-stuttgart.de>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var MAVLinkPackerBase = /** @class */ (function () {
    function MAVLinkPackerBase() {
        this.message_factory_tuples = new Array();
    }
    MAVLinkPackerBase.prototype.register = function (message_id, constructorFn) {
        this.message_factory_tuples.push([message_id, constructorFn]);
    };
    MAVLinkPackerBase.prototype.instantiateMessage = function (system_id, component_id, message_id) {
        var message_factory_tuple = this.message_factory_tuples.find(function (message_factory_tuple) { return message_factory_tuple[0] == message_id; });
        if (message_factory_tuple) {
            var constructorFn = message_factory_tuple[1];
            return new constructorFn(system_id, component_id);
        }
        throw new Error("Unknown message ID.");
    };
    return MAVLinkPackerBase;
}());
exports.MAVLinkPackerBase = MAVLinkPackerBase;
//# sourceMappingURL=mavlink-packer-base.js.map