/// <reference types="node" />
import { MAVLinkMessage } from "./mavlink-message";
export declare abstract class MAVLinkParserBase {
    protected abstract start_marker: number;
    protected abstract minimum_packet_length: number;
    protected expected_packet_length: number;
    private message_factory_tuples;
    private state;
    protected buffer: Buffer;
    protected constructor();
    parse(bytes: Buffer): MAVLinkMessage[];
    protected abstract calculate_packet_length(bytes: Buffer): number;
    protected abstract parseMessage(bytes: Buffer): MAVLinkMessage | undefined;
    register<T extends MAVLinkMessage>(message_id: number, constructorFn: new (system_id: number, component_id: number) => T): void;
    instantiateMessage(system_id: number, component_id: number, message_id: number): MAVLinkMessage;
}
//# sourceMappingURL=mavlink-parser-base.d.ts.map